Transperfectconnector v1

Version 1

Connector Overview: This page documents all 84 actions for the Transperfectconnector v1.

Authorization

POST Authorize Local

/oauth/token

Parameters

Parameter Name

Description

Content Type

N/A

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Content-type

N/A

Response Type

N/A

Options (3)

Option Name

Description

Grant Type

N/A

Username

N/A

Password

N/A

Cancel

POST Cancel items

/rest/v0/submissions/cancel/{sub_id}

This resource allows you to cancel any items you need: submissions, documents or targets.
Documents and targets are specified in the request body in JSON format:
{
"targetIds": [

123,124,125

],
"documentIds": [

20,21,22

],
}
If the request body is empty, the whole submission will be cancelled.
You need to make sure that the targetIds and/or documentIds belong to the specified submission.

IMPORTANT NOTE: it's not possible to cancel documents/targets from on hold submissions.

Parameters

Parameter Name

Description

Content Type

N/A

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Sub Id

N/A

Response Type

N/A

Options (1)

Option Name

Description

Targetids

N/A

Claim (3)

POST Claim - LANGUAGE

/rest/v0/submissions/claim

Parameters

Parameter Name

Description

Content Type

N/A

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Response Type

N/A

Options (3)

Option Name

Description

Submissionid

N/A

Phasename

N/A

Languages

N/A

GET Get claimable submissions - FILE

/rest/v0/submissions/claimable/{sub_id}/targets

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Phasename

N/A

Sub Id

N/A

Response Type

N/A

GET Get claimable submissions - LANGUAGE & BATCH

/rest/v0/submissions/claimable

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Phasename

N/A

Response Type

N/A

Create submission (9)

POST Analyze submission

/rest/v0/submissions/{sub_id}/analyze

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Sub Id

N/A

Response Type

N/A

GET Check async status

/rest/v0/submissions/{sub_id}/status

Async operations, like uploading a file or analyzing a submission, can take some time. You can call this resource to check if the async operation you started on a submission is already completed.
It will return "status": "PROCESSED" if the operation is finished or "status": "PROCESSING" if it's not.

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Sub Id

N/A

Response Type

N/A

POST Create submission

/rest/v0/submissions/create

NOTES:

  • "dueDate" is expressed as Unix timestamp in milliseconds.

  • If you're connecting to a box in TPT mode, you'll need to add the "paClientId" parameter with the correct value.

  • If you want to upload a non-parsable file, set the "targetFormat" value to "NON_PARSABLE". Then, when you call POST /upload, leave the "fileFormatName" parameter blank.

  • "targetFormat" can be "TXML", "TXLF" or "NON_PARSABLE", according to the type of conversion that PD will make.

  • If the project has mandatory custom attributes, you need to specify them when you call POST /create, otherwise the call will be rejected. E.g.:

"customAttributes": [
{
"name": "myAttributeName",
"value": "myValue"
}
]

  • If you want PD to return webhooks for your submission, you need to add the relevant metadata fields (metadata URL and scope) when the submission is created, as in the example below. Note that webhook metadata can be added at any point during the submission lifecycle, although adding it during creation is the most common scenario. For more information, please check: https://onlinehelp.translations.com/PD/5.16/en/API-Developer/GlobalLink_Project_Director_Help.htm?tab=05_Webhooks#section/Enable-delivery-webhooks-for-a-specific-submission

Parameters

Parameter Name

Description

Content Type

N/A

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Response Type

N/A

Options (6)

Option Name

Description

Projectid

N/A

Paclientid

N/A

Duedate

N/A

Sourcelanguage

N/A

Claimscope

N/A

Name

N/A

POST Get wordcount

/rest/v0/submissions/{sub_id}/wordcount

Note: This resource is only available in PD 5.14 and later.

If the request body is empty, PD will return the aggregate wordcount for the whole submission.
You can also retrieve wordcounts for specific items in the submission, namely wordcount for a specific target language, a document, a target or a batch as follows:

{
"targetLanguage": "string"
}

---------

{
"documentId": 0
}

---------

{
"targetId": 0
}

---------

{
"batchName": "string"
}

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Sub Id

N/A

Response Type

N/A

POST Save submission

/rest/v0/submissions/{sub_id}/save

If you set the "autoStart" parameter in the request body to "true", PD will automatically analyze and start the submission (if possible).
If you set it to "false", you'll need to manually call POST /analyze and POST /start.

Parameters

Parameter Name

Description

Content Type

N/A

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Sub Id

N/A

Response Type

N/A

Options (1)

Option Name

Description

Autostart

N/A

POST Start submission

/rest/v0/submissions/{sub_id}/start

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Sub Id

N/A

Response Type

N/A

POST Upload collateral

/rest/v0/submissions/{sub_id}/upload/collateral

Available in PD 5.19 and newer.

Parameters

Parameter Name

Description

Content Type

N/A

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Sub Id

N/A

Response Type

N/A

Options (3)

Option Name

Description

File

N/A

Submissionlevel

N/A

Extractarchive

N/A

POST Upload reference

/rest/v0/submissions/{sub_id}/upload/reference

When you upload a reference file, you can make it available at the submission level (i.e. for all languages) by setting "submissionLevel" to "true".
If you want to make it available only to some specific languages, you can specify these languages (as a comma-separated list) in the "targetLanguageLevel" parameter.

Parameters

Parameter Name

Description

Content Type

N/A

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Content-type

N/A

Sub Id

N/A

Response Type

N/A

Options (2)

Option Name

Description

File

N/A

Submissionlevel

N/A

POST Upload source

/rest/v0/submissions/{sub_id}/upload/source

Parameters

Parameter Name

Description

Content Type

N/A

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Sub Id

N/A

Response Type

N/A

Options (4)

Option Name

Description

File

N/A

Batchname

N/A

Fileformatname

N/A

Extractarchive

N/A

Custom attributes (6)

POST Add custom attribute

/rest/v0/submissions/{sub_id}/customattributes/

This resource lets you add a custom attribute value to a submission.
The custom attribute name must be defined in the project.
The attribute name and value are sent in the request body in JSON format as shown in the example.

Parameters

Parameter Name

Description

Content Type

N/A

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Sub Id

N/A

Response Type

N/A

Options (2)

Option Name

Description

Name

N/A

Value

N/A

DELETE Delete custom attr by name

/rest/v0/submissions/{sub_id}/customattributes/MyAttributeName

This resource lets you delete one custom attribute from a submission (specified in the URL).

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Sub Id

N/A

Response Type

N/A

DELETE Delete custom attribute

/rest/v0/submissions/{sub_id}/customattributes/

This resource lets you delete all custom attributes in a submission.

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Sub Id

N/A

Response Type

N/A

PUT Edit custom attribute

/rest/v0/submissions/{sub_id}/customattributes/MyAttributeName

Parameters

Parameter Name

Description

Content Type

N/A

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Sub Id

N/A

Response Type

N/A

Options (1)

Option Name

Description

Value

N/A

GET Get custom attrib by field name

/rest/v0/submissions/{sub_id}/customattributes/MyAttributeName

Add the attribute name to the URL. In this example it's called "MyAttributeName".

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Sub Id

N/A

Response Type

N/A

GET Get custom attributes

/rest/v0/submissions/{sub_id}/customattributes

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Sub Id

N/A

Response Type

N/A

Document (2)

GET Get Documents by Document Id

/rest/v0/submissions/{sub_id}/documents/{document_id}

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Sub Id

N/A

Document Id

N/A

Response Type

N/A

GET Get Submission Documents

/rest/v0/submissions/{sub_id}/documents

This resource returns all the source documents of a submission.

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Sub Id

N/A

Response Type

N/A

Download submission (4)

GET Download All Sources

/rest/v0/submissions/{sub_id}/download

The download process works in 3 steps:
1. You call GET /download with the appropriate URL parameters (sourceFiles=true in this example); PD will start preparing the file for download an return a downloadId
2. You call GET /download with the downloadId you got in #1 to verify if the file is actually ready for download (see "Download - Check Availability" below)
3. Once you get a "processingFinished":"true" value in #2, you call GET /download again with the downloadId to retrieve the actual file (see "Download Content" below)

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Sourcefiles

N/A

Deliverabletargetids

N/A

Sub Id

N/A

Response Type

N/A

GET Download Content

/rest/v0/submissions/download/{download_activity_id}

The final step in the download process is calling this resource. PD will return the content you requested in zip format.

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Download Activity Id

N/A

Response Type

N/A

GET Download References Lang Level

/rest/v0/submissions/123/download

This example shows how to download the language-level reference files from a submission. You can specify several languages separated by commas.
Check "Download All Sources" for detailed instructions on how to download content from PD.

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Languagereferencefiles

N/A

Response Type

N/A

GET GET TMs by Project (only client mode)

/

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Response Type

N/A

Download

GET Download Asset

x-oneteg-downloader-path-with-authorization

Parameters

Parameter Name

Description

HTTP Method

N/A

Download Url

N/A

Asset Name

N/A

Try Count

N/A

Read Timeout (seconds)

N/A

Connection Timeout (seconds)

N/A

Load File Content As Output

This toggle enables you to load file content as the step output. Supported formats include JSON, XML, YML/YAML, CSV, TXT, and other text-based file types. Note that images, PDF files, and other binary formats cannot be loaded. Additionally, there is a file size limit for this feature; please check the logs for details.

Follow Redirects

Enable or disable following URL redirects. If it is enabled, it will follow the URL redirects.

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Glossary Profiles (5)

GET Get Glossaries by Project (client mode only) [5.13+]

/rest/v0/organizations/projects/{project_id}/glossaries

This resource returns the list of Term Manager connections available for the specified project.
This resource is only available for PD instances running in client mode (i.e. non-TPT mode).
Calling this resource on an instance running in TPT mode will generate an error.
This resource is only available in PD 5.13+

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Project Id

N/A

Response Type

N/A

GET Get Glossaries by ProjectA Client (TPT mode only) [5.13+]

/rest/v0/paclients/{paclient_id}/glossaries

This resource returns the list of Term Manager connections available for the specified ProjectA client.
This resource is only available for PD instances running in TPT mode.
Calling this resource on an instance running in client mode will generate an error.
This resource is only available in PD 5.13+

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Paclient Id

N/A

Response Type

N/A

GET Get Glossaries by submission Id

/rest/v0/submissions/{sub_id}/glossaries

Only available in PD 5.20+.

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Sub Id

N/A

Response Type

N/A

GET Get Glossary by Name and Project

/rest/v0/organizations/project/{project_id}/glossary/{glossary_name}

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Project Id

N/A

Glossary Name

N/A

Response Type

N/A

GET Get Glossary by Org, PAClient and Name

/rest/v0/organizations/{org_id}/paclients/{paclient_id}/glossary/{glossary_name}

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Org Id

N/A

Paclient Id

N/A

Glossary Name

N/A

Response Type

N/A

MT Information

POST New Request

/rest/v0/submissions/{sub_id}/targets/{get_targets_subid}/editorinfo/phase
  • Returns the Machine Translation profile info of the specified target at the current phase as stored in PD.

  • In order to use it, a valid editor name must be specified in the request body.

  • If you need to use this endpoint for your integration, please get in touch with the PD PDM team.

Parameters

Parameter Name

Description

Content Type

N/A

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Sub Id

N/A

Get Targets Subid

N/A

Response Type

N/A

Options (1)

Option Name

Description

Editor

N/A

Metadata (6)

POST Add metadata

/rest/v0/submissions/{sub_id}/metadata

Parameters

Parameter Name

Description

Content Type

N/A

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Sub Id

N/A

Response Type

N/A

Options (2)

Option Name

Description

Key

N/A

Value

N/A

DELETE Delete metadata

/rest/v0/submissions/{sub_id}/metadata

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Sub Id

N/A

Response Type

N/A

DELETE Delete metadata by key

/rest/v0/submissions/{sub_id}/metadata/MyMetadataName

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Sub Id

N/A

Response Type

N/A

PUT Edit metadata

/rest/v0/submissions/{sub_id}/metadata/MyMetadataName

Parameters

Parameter Name

Description

Content Type

N/A

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Sub Id

N/A

Response Type

N/A

Options (1)

Option Name

Description

Value

N/A

GET Get metadata

/rest/v0/submissions/{sub_id}/metadata

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Sub Id

N/A

Response Type

N/A

GET Get metadata by key

/rest/v0/submissions/{sub_id}/metadata/MyMetadataName

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Sub Id

N/A

Response Type

N/A

Organizations (3)

GET [Organizations] - Get organization PA clients

/rest/v0/organizations/{organization_id}/paclients

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Organization Id

N/A

Response Type

N/A

GET [Organizations] - Get organization by Id

/rest/v0/organizations/{organization_id}

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Organization Id

N/A

Response Type

N/A

GET [Organizations] - Get organizations

/rest/v0/organizations

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Response Type

N/A

PA Clients (2)

GET Get PA Client by Id

/rest/v0/paclients/{paclient_id}

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Paclient Id

N/A

Response Type

N/A

GET Get PA Clients

/rest/v0/paclients

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Response Type

N/A

Projects (9)

GET Get MSLA levels

/rest/v0/projects/{project_id}/mslalevels

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Project Id

N/A

Response Type

N/A

GET Get custom attributes

/rest/v0/projects/{project_id}/customattributes

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Project Id

N/A

Response Type

N/A

GET Get file formats

/rest/v0/projects/{project_id}/fileformats

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Project Id

N/A

Response Type

N/A

GET Get language directions

/rest/v0/projects/{project_id}/languagedirections

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Project Id

N/A

Response Type

N/A

GET Get organization users

/rest/v0/projects/{project_id}/users/org

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Project Id

N/A

Response Type

N/A

GET Get project by Id

/rest/v0/projects/{project_id}

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Project Id

N/A

Response Type

N/A

GET Get projects

/rest/v0/projects

The "shortCode" parameter is only available in PD 5.20+.

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Response Type

N/A

GET Get workflow by Id

/rest/v0/projects/{project_id}/workflows/{workflow_id}

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Project Id

N/A

Workflow Id

N/A

Response Type

N/A

GET Get workflows

/rest/v0/projects/{project_id}/workflows

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Project Id

N/A

Response Type

N/A

Quotes (3)

POST Approve Quote

/rest/v0/submissions/{sub_id}/quote/approve

Parameters

Parameter Name

Description

Content Type

N/A

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Sub Id

N/A

Response Type

N/A

Options (1)

Option Name

Description

Comment

N/A

POST Download Quote Report

/rest/v0/submissions/{sub_id}/quote/report

Parameters

Parameter Name

Description

Content Type

N/A

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Sub Id

N/A

Response Type

N/A

Options (4)

Option Name

Description

Approvedquotesselected

N/A

Providedquotesselected

N/A

Emailenabled

N/A

Outputformat

N/A

GET Review Quotes

/rest/v0/submissions/{sub_id}/quote/review

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Sub Id

N/A

Response Type

N/A

Submission (7)

GET Get Submission Owner

/rest/v0/submissions/{sub_id}/owners

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Sub Id

N/A

Response Type

N/A

GET Get background for all submissions

/rest/v0/submissions/background

This resource returns the background info of all available submissions.

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Response Type

N/A

GET Get instructions for all submissions

/rest/v0/submissions/instructions

This resource returns the instructions of all available submissions.

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Response Type

N/A

GET Get submission background

/rest/v0/submissions/{sub_id}/background

This resource returns the background info of the specified submission.

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Sub Id

N/A

Response Type

N/A

GET Get submission by Id

/rest/v0/submissions/{sub_id}

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Sub Id

N/A

Response Type

N/A

GET Get submission instructions

/rest/v0/submissions/{sub_id}/instructions

This resource returns the instructions of the specified submission.

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Sub Id

N/A

Response Type

N/A

GET Get submissions

/rest/v0/submissions

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Submissionids

N/A

Response Type

N/A

TM Profiles (5)

GET GET TMs by Project (client mode only) [5.13+]

/rest/v0/organizations/project/{project_id}/tms

This resource returns the list of TM strings available for the specified project.
This resource is only available for PD instances running in client mode (i.e. non-TPT mode).
Calling this resource on an instance running in TPT mode will generate an error.
This resource is only available in PD 5.13+

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Project Id

N/A

Response Type

N/A

GET GET TMs by ProjectA Client (TPT mode only) [5.13+]

/rest/v0/paclients/{paclient_id}/tms

This resource returns the list of TM strings available for the specified ProjectA client.
This resource is only available for PD instances running in TPT mode.
Calling this resource on an instance running in client mode will generate an error.
This resource is only available in PD 5.13+

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Paclient Id

N/A

Response Type

N/A

GET Get TM by Name and Project

/rest/v0/organizations/project/{project_id}/tm/{tm_name}

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Project Id

N/A

Tm Name

N/A

Response Type

N/A

GET Get TM by Org, PAClient and Name

/rest/v0/organizations/{organization_id}/paclients/{paclient_id}/tm/{tm_name}

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Organization Id

N/A

Paclient Id

N/A

Tm Name

N/A

Response Type

N/A

GET Get TMs by submission Id

/rest/v0/submissions/{sub_id}/tms

Only available in PD 5.20+.

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Sub Id

N/A

Response Type

N/A

Targets (4)

POST Add metadata to target

/rest/v0/submissions/{get_targets_subid}/targets/metadata

Parameters

Parameter Name

Description

Content Type

N/A

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Get Targets Subid

N/A

Response Type

N/A

Options (1)

Option Name

Description

Targetids

N/A

GET Get Completed Targets by Submission

/rest/v0/targets

NOTES:

  • Only available in PD 5.20+.

  • You can use this endpoint to retrieve targets in any status, not only completed (e.g. cancelled or delivered). For a list of possible statuses, please check the online help.

  • The submissionIds parameter takes a comma-separated list of submissionIds, so you can specify as many subs as you need.

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Targetstatus

N/A

Submissionids

N/A

Response Type

N/A

GET Get Targets by Document

/rest/v0/submissions/{sub_id}/documents/{document_id}/targets

This request is only available in PD 6.2+

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Sub Id

N/A

Document Id

N/A

Response Type

N/A

GET Get Targets by Submission

/rest/v0/submissions/{sub_id}/targets

Starting with PD 5.15, you can use the "status" parameter to retrieve only targets in a specific status (e.g. only completed targets).

The possible values for the "status" parameter are:

  • COMPLETED - equivalent to PROCESSED status in the DB, target has been completed but not delivered

  • DELIVERED - target has been delivered to the client

  • READY - target has been analyzed, equivalent to READY status in DB

  • IN_PROCESS - target has been claimed, equivalent to IN_PROCESS status in DB

  • WAITING - target has been created, not analyzed, it's in On Hold, equivalent to WAITING status in DB

In PD 5.20 the "targetLanguage" is added. It lets users retrieve only targets for a specific language. It can be combined e.g. with the "status" parameter to retrieve only completed targets for a certain target language.

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Sub Id

N/A

Response Type

N/A

Unclaim (3)

GET Get claimed submissions - FILE

/rest/v0/submissions/claimed/{sub_id}/targets

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Phasename

N/A

Sub Id

N/A

Response Type

N/A

GET Get claimed submissions - LANGUAGE & BATCH

/rest/v0/submissions/claimed

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Phasename

N/A

Response Type

N/A

POST Unclaim - LANGUAGE

/rest/v0/submissions/unclaim

Parameters

Parameter Name

Description

Content Type

N/A

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Response Type

N/A

Options (3)

Option Name

Description

Submissionid

N/A

Phasename

N/A

Languages

N/A

Upload Files (3)

POST Mark as delivered

/rest/v0/submissions/{sub_id}/targets/delivered

Once you download some deliverable targets, you can call this resource to mark them as delivered in PD.

Parameters

Parameter Name

Description

Content Type

N/A

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Sub Id

N/A

Response Type

N/A

Options (1)

Option Name

Description

Targetids

N/A

POST Upload Translatable

/rest/v0/submissions/{sub_id}/upload/translatable

Parameters

Parameter Name

Description

Content Type

N/A

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Sub Id

N/A

Response Type

N/A

Options (2)

Option Name

Description

File

N/A

Extractarchive

N/A

GET Upload file - Verify

/rest/v0/submissions/{sub_id}/upload/translatable/{upload_process_id}

After uploading a translatable file (or files), call this resource to check if the file(s) were successfully uploaded. If the was any error, PD will return the corresponding error message(s).

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Sub Id

N/A

Upload Process Id

N/A

Response Type

N/A

Webhooks (3)

POST Reset failed webhooks

/rest/v0/webhooks/reset

Note: This resource is only available in PD 5.14 and later.
For more information on how to retrieve failed webhooks, check: https://onlinehelp.translations.com/PD/5.16/en/API-Developer/GlobalLink_Project_Director_Help.htm?tab=05_Webhooks#section/Enable-delivery-webhooks-for-a-specific-submission

Parameters

Parameter Name

Description

Content Type

N/A

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Response Type

N/A

Options (1)

Option Name

Description

Submissionids

N/A

GET Retrieve failed webhooks

/rest/v0/webhooks/failed

Note: This resource is only available in PD 5.14 and later.
For more information on how to retrieve failed webhooks, check: https://onlinehelp.translations.com/PD/5.16/en/API-Developer/GlobalLink_Project_Director_Help.htm?tab=05_Webhooks#section/Enable-delivery-webhooks-for-a-specific-submission

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Response Type

N/A

POST Set webhook URL

/rest/v0/submissions/{sub_id}/metadata/

NOTE: Normally, you'd want to define the webhook metadata when the submission is created (see POST /create above). However, you can set it at any point during the submission lifecycle. This endpoint should only be used to add webhook information if you have not set those values when the submission was created. If you added webhook metadata when the submission was created, you don't need to use this endpoint.

Parameters

Parameter Name

Description

Content Type

N/A

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Sub Id

N/A

Response Type

N/A

Options (2)

Option Name

Description

Key

N/A

Value

N/A

Workflow (3)

POST Complete phase

/rest/v0/submissions/{sub_id}/phases/Translation/complete

Note that, in the URL, you need to specify the phase your target is in. In this example, the phase is "Translation".
The phase you want to transition your target(s) to, along with the targetIds, is specified in the request body in JSON format.
Remember that phase names are case-sensitive.
Currently, phases with spaces in the name are not supported (to be fixed in an upcoming release).

Parameters

Parameter Name

Description

Content Type

N/A

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Sub Id

N/A

Response Type

N/A

Options (2)

Option Name

Description

Targetids

N/A

Transition

N/A

GET Get phase info

/rest/v0/submissions/{sub_id}/phases

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Sub Id

N/A

Response Type

N/A

GET Get phase info for single target

/rest/v0/submissions/{sub_id}/targets/{get_targets_targetid}/phase

Available only in PD 5.20+.

Parameters

Parameter Name

Description

headers

N/A

headers.Header Key

N/A

headers.Header Value

N/A

Sub Id

N/A

Get Targets Targetid

N/A

Response Type

N/A